iOS高德地图SDK(3D) V11.2.0001

Instance Methods | List of all members
MAAnnotationMoveAnimation Class Reference

`#import <MAAnnotationMoveAnimation.h>`

Inheritance diagram for MAAnnotationMoveAnimation:

## Instance Methods
(NSString *) | - name
| 获取动画名字 get animation name More...
(CLLocationCoordinate2D *) | - coordinates
| 获取经纬度坐标点数组 get latitude and longitude coordinate point array More...
(NSUInteger) | - count
| 获取coordinates数组内坐标点个数 get number of coordinate points in the coordinates array More...
(CGFloat) | - duration
| 获取动画时长 Get animation duration More...
(CGFloat) | - elapsedTime
| 获取动画已执行的时长 Get elapsed animation duration More...
(void) | - cancel
| 取消 Cancel More...
(BOOL) | - isCancelled
| 是否已取消 Is canceled More...
(NSInteger) | - passedPointCount
| 获取当前动画已走过点的总个数 Get the total number of points the current animation has passed More...

## Detailed Description

annotation移动动画. since 4.5.0 annotation animation since 4.5.0

## Method Documentation

## ◆ cancel

- (void) cancel |  |  |

取消 Cancel

## ◆ coordinates

- (CLLocationCoordinate2D *) coordinates |  |  |

获取经纬度坐标点数组 get latitude and longitude coordinate point array

Returns
  返回经纬度坐标点数组 return latitude and longitude coordinate point array

## ◆ count

- (NSUInteger) count |  |  |

获取coordinates数组内坐标点个数 get number of coordinate points in the coordinates array

Returns
  coordinates数组内坐标点个数 Number of coordinate points in the coordinates array

## ◆ duration

- (CGFloat) duration |  |  |

获取动画时长 Get animation duration

Returns
  动画时长 Animation duration

## ◆ elapsedTime

- (CGFloat) elapsedTime |  |  |

获取动画已执行的时长 Get elapsed animation duration

Returns
  动画已执行的时长 Elapsed animation duration

## ◆ isCancelled

- (BOOL) isCancelled |  |  |

是否已取消 Is canceled

Returns
  YES已取消，NO未取消 YES canceled, NO not canceled

## ◆ name

- (NSString *) name |  |  |

获取动画名字 get animation name

Returns
  添加动画时传入的名字 name passed when adding animation

## ◆ passedPointCount

- (NSInteger) passedPointCount |  |  |

获取当前动画已走过点的总个数 Get the total number of points the current animation has passed

Returns
  个数 count

The documentation for this class was generated from the following file:

- MAAnnotationMoveAnimation.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。